Skip to main content
Version: 10.0

Destination Allow List Resource

Description​

This resource is for manipulating individual destination allow list entries. To create entries or modify in bulk, see the Zone Destination Allow List Revision Resource

For correct functionality, destination allow list addresses should be contained within their zone's routes. Destination allow lists for IP addresses that are not part of the zone can still be created, but will both consume destination allow list prefixes and not function as expected (since traffic for the address will end up in a different zone entirely).

GET /dst_allow_lists/:ID​

Query an individual destination allow list entry.

GET Parameters​

NameRequiredTypeDescriptionDefault Value
:IDYesURL ParameterThe unique numeric ID of the destination allow list entry you are querying. 

GET Response Values​

NameTypeDescription
idJSON NumberThe unique numeric ID of the source allow list entry. Should match the :ID used in the GET request.
ipJSON StringThe IPv4 or IPv6 destination address subnet that is being allow listed.
zone_idJSON NumberThe numeric zone ID of the zone containing this destination allow list entry.
traffic_typeJSON StringThe type of traffic that is being allow listed. This will be either "TCP", "UDP", "ICMP", or "ALL".
descriptionJSON StringAn optional description of the allow list entry.
dst_allow_listresourceJSON StringThe destination allow list resource for this entry. Should match the URL resource used in the get request.
zone_resourceJSON StringThe zone resource for the zone that contains this allow list entry.
customer_resourceJSON StringThis value is deprecated and should not be used.
group_resourceJSON StringThe group resource that owns the zone containing this allow list entry.

Example GET Request​

GET /dst_allow_lists/670428

Example GET Response​

{
"id": 670428,
"zone_id": 2031,
"ip": "207.168.1.10/32",
"traffic_type": "TCP",
"description": "",
"dst_allow_list_resource": "/dst_allow_lists/670428",
"zone_resource": "/zones/2031",
"group_resource": "/groups/279",
"customer_resource": "/customers/279"
}

PUT /dst_allow_lists/:ID​

Update a destination allow list entry. The allow list entry must be part of the current zone revision in order to do this.

PUT Parameters​

NameRequiredTypeDescriptionDefault Value
:IDYesURL ParameterThe unique numeric ID of the allow list entry to update. 
ipYesJSON StringThe IPv4 or IPv6 source subnet to allow list. If mask is omitted, this will default to /32 for IPv4 and /128 for IPv6. 
descriptionNoJSON StringThe new description to use. 
traffic_typeYesJSON StringThe type of traffic to allow list. Must be one of "TCP", "UDP", "ICMP", or "ALL". 

Example PUT Request​

PUT /dst_allow_lists/115116634

JSON Body:
{
"data" : {
"ip":"207.168.1.250/32",
"description" : "Internal application server.",
"traffic_type" : "ALL"
}
}

Example PUT Response​

 HTTP/1.1 200 OK

DELETE /dst_allow_lists/:ID​

Remove a destination allow list entry. The allow list entry must be part of the current zone revision in order to do this.

DELETE Parameters​

NameRequiredTypeDescriptionDefault Value
:IDYesURL ParameterThe unique numeric ID of the destination allow list entry to be removed. 

Example DELETE Request​

 DELETE /dst_allow_lists/57823

Example DELETE Response​

 HTTP/1.1 200 OK